<template>
  <q-header
    bordered
    class="text-white"
    height-hint="98"
    :class="{ 'bg-dark': $q.dark.isActive }"
  >
    <q-toolbar>
      <q-btn
        flat
        dense
        round
        @click="toggleDrawer"
        icon="menu"
        aria-label="Menu"
      />
      <q-toolbar-title class="full-width ellipsis">{{ title }}</q-toolbar-title>

      <q-select
        v-model="lang"
        :options="langOptions"
        class="row"
        color="primary"
        :bg-color="$q.dark.isActive ? 'black' : 'white'"
        filled
        dense
        options-dense
        outlined
        @update:model-value="changeLanguage"
      />

      <q-btn
        round
        dense
        :icon="$q.dark.isActive ? 'light_mode' : 'mode_night'"
        @click="toggleDarkMode"
      />
    </q-toolbar>
  </q-header>
</template>

<script lang="ts">
import { defineComponent, ref, Ref } from 'vue';
import { useQuasar } from 'quasar';
// import { useI18n } from 'vue-i18n';

export default defineComponent({
  name: 'HeaderCOmponent',
  props: {
    title: {
      type: String,
      required: true,
    },
    langOptions: {
      type: Array as () => Array<string>,
      required: true,
    },
  },
  emits: ['update:drawerLeft', 'update:lang'],
  setup(props, { emit }) {
    const $q = useQuasar();
    // const { locale } = useI18n();
    const lang: Ref<string | null> = ref(null);

    const toggleDrawer = () => {
      emit('update:drawerLeft');
    };

    const toggleDarkMode = () => {
      $q.dark.toggle();
    };

    const changeLanguage = (newLang: string) => {
      emit('update:lang', newLang);
    };

    return {
      toggleDrawer,
      toggleDarkMode,
      changeLanguage,
      lang,
    };
  },
});
</script>

<style scoped>
/* Стили для Header, если необходимы */
</style>
